Package Details: jsignpdf 2.2.0-1

Git Clone URL: https://aur.archlinux.org/jsignpdf.git (read-only, click to copy)
Package Base: jsignpdf
Description: Digitally sign PDF files with X.509 certificates in GUI and CLI.
Upstream URL: http://jsignpdf.sourceforge.net/
Keywords: AATL CLI GUI PDF signature X.509
Licenses: custom, MPL, LGPL, Apache, CCPL
Submitter: alisoftware
Maintainer: Jaja (alisoftware)
Last Packager: Jaja
Votes: 4
Popularity: 0.000000
First Submitted: 2016-12-10 07:01 (UTC)
Last Updated: 2022-06-02 20:16 (UTC)

Dependencies (4)

Required by (0)

Sources (4)

Latest Comments

medmedin commented on 2022-01-05 00:04 (UTC)

@Jaja 2.1.0 version is critical because it adds more hardware support for signing documents.

jamar commented on 2021-09-23 09:29 (UTC)

Updated PKGBUILD for 2.0.0:

https://pastebin.com/a15xXtdd

FrederickZh commented on 2021-09-22 09:01 (UTC)

On top of the 404 issue, there is also JSignPdf 2.0 now. Please update, thank you.

Bujiraso commented on 2021-08-23 15:04 (UTC)

I'm seeing a failure to download an image file from the PKGBUILD.

curl: (22) The requested URL returned error: 404
==> ERROR: Failure while downloading https://raw.githubusercontent.com/kwart/jsignpdf/master/doc/icon/iconverticons.com/signedpdf_48x48x32.png
    Aborting...

Jaja commented on 2019-03-19 00:26 (UTC) (edited on 2019-04-10 08:33 (UTC) by Jaja)

Hi there! I have updated the package and removed the Java8 patch. While I was able to write some man pages, i'm too stupid to get around bash/zsh completion syntax. It would be very nice if someone could help me with that.

7heMC commented on 2018-09-19 18:17 (UTC)

In order to grab the latest version 1.6.4 make the following changes in PKGBUILD: pkgver to 1.6.4 url in source to https://sourceforge.net/projects/jsignpdf/files/stable/JSignPdf%20${pkgver}/JSignPdf-${pkgver}.zip/download

TilmanV commented on 2017-03-24 11:18 (UTC)

You shouldn't sed the command in jsignpdf.sh. This breaks support for other Java Distributions. Java8 is already forced by the dependency java-runtime>=8.